/*
 * BEGIN FLOCK GPL
 *
 * Copyright Flock Inc. 2005-2009
 * http://flock.com
 *
 * This file may be used under the terms of the
 * GNU General Public License Version 2 or later (the "GPL"),
 * http://www.gnu.org/licenses/gpl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * END FLOCK GPL
 */

#ifndef __flockAboutRedirector_h__
#define __flockAboutRedirector_h__

#include "nsIAboutModule.h"

class flockAboutRedirector : public nsIAboutModule {
public:
  NS_DECL_ISUPPORTS
  NS_DECL_NSIABOUTMODULE

  flockAboutRedirector() {};
  virtual ~flockAboutRedirector() {};

  static NS_METHOD
  Create(nsISupports *aOuter, REFNSIID aIID, void **aResult);
};

// 96447ea6-4c4f-479d-a466-a6c27d1471e0
#define FLOCK_ABOUT_REDIRECTOR_CID \
{ 0x96447ea6, 0x4c4f, 0x479d, { 0xa4, 0x66, 0xa6, 0xc2, 0x7d, 0x14, 0x71, 0xe0 } }

#endif
