/*
 * BEGIN FLOCK GPL
 *
 * Copyright Flock Inc. 2005-2009
 * http://flock.com
 *
 * This file may be used under the terms of the
 * GNU General Public License Version 2 or later (the "GPL"),
 * http://www.gnu.org/licenses/gpl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * END FLOCK GPL
 */

#include "nsIGenericFactory.h"

#include "flockLucene.h"


NS_GENERIC_FACTORY_SINGLETON_CONSTRUCTOR(flockLucene,
  flockLucene::GetSingleton)

static nsModuleComponentInfo components[] =
{
  {
    FLOCK_LUCENE_CLASSNAME, 
    FLOCK_LUCENE_CID,
    FLOCK_LUCENE_CONTRACTID,
    flockLuceneConstructor,
  },

  {0}
};

NS_IMPL_NSGETMODULE(FlockLuceneModule, components)


