/*
     BEGIN FLOCK GPL

     Copyright Flock Inc. 2005-2009
     http://flock.com

     This file may be used under the terms of the
     GNU General Public License Version 2 or later (the "GPL"),
     http://www.gnu.org/licenses/gpl.html

     Software distributed under the License is distributed on an "AS IS" basis,
     WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
     for the specific language governing rights and limitations under the
     License.

     END FLOCK GPL
*/

function call () {
    document.getElementById ('result').value = '';

    var server = 
        new flockXmlRpcServer (document.getElementById ('url').value);

    var args = null;
    try {
        args = eval ('['+document.getElementById ('args').value+']');
    } catch (e) {
        alert ('Error parsing arguments: \n'+e);
        return;
    }

    server.call (document.getElementById ('method').value, args,
        {
            onResult: function (aResult) { 
                document.getElementById ('result').value = aResult;
                    //alert ('onResult ("' + aResult + '")\n'); 
            },
            onError: function (aMessage) { 
                    alert ('Error:\n' + aMessage); },
            onFault: function (aFaultCode, aFaultString) { 
                    alert ('Fault Code:' + aFaultCode + '\nFault Message:\n' + 
                            aFaultString); },
        });
}
