# BEGIN MOZILLA MPL
#
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is Mozilla Browser code.
#
# The Initial Developer of the Original Code is
# Mozilla Foundation
# Portions created by the Initial Developer are Copyright (C) 2005-2009
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
# Flock Inc. <contact@flock.com>
#
# Alternatively, the contents of this file may be used under the terms of
# either of the GNU General Public License Version 2 or later (the "GPL"),
# or the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# END MOZILLA MPL

add_makefiles "
flock/Makefile
flock/clucene/Makefile
flock/app/Makefile
flock/app/profile/extensions/Makefile
flock/base/Makefile
flock/base/bindings/Makefile
flock/base/blog/Makefile
flock/base/blog/public/Makefile
flock/base/blog/src/Makefile
flock/base/branding/Makefile
flock/base/branding/flock/Makefile
flock/base/common/Makefile
flock/base/common/public/Makefile
flock/base/common/src/Makefile
flock/base/contrib/Makefile
flock/base/contrib/common/Makefile
flock/base/favorites/Makefile
flock/base/favorites/content/Makefile
flock/base/favorites/src/Makefile
flock/base/feeds/Makefile
flock/base/feeds/public/Makefile
flock/base/feeds/src/Makefile
flock/base/lucene/Makefile
flock/base/lucene/public/Makefile
flock/base/lucene/src/Makefile
flock/base/menus/Makefile
flock/base/oobe/Makefile
flock/base/oobe/public/Makefile
flock/base/opml/Makefile
flock/base/opml/public/Makefile
flock/base/opml/src/Makefile
flock/base/people/Makefile
flock/base/photo/Makefile
flock/base/photo/gm/Makefile
flock/base/photo/public/Makefile
flock/base/photo/src/Makefile
flock/base/preferences/Makefile
flock/base/profiler/Makefile
flock/base/profiler/public/Makefile
flock/base/profiler/src/Makefile
flock/base/search/Makefile
flock/base/search/public/Makefile
flock/base/search/src/Makefile
flock/base/services/Makefile
flock/base/services/aolmail/Makefile
flock/base/services/aolmail/src/Makefile
flock/base/services/bebo/Makefile
flock/base/services/blogger/Makefile
flock/base/services/blogsome/Makefile
flock/base/services/common/Makefile
flock/base/services/common/public/Makefile
flock/base/services/common/src/Makefile
flock/base/services/delicious/Makefile
flock/base/services/delicious/src/Makefile
flock/base/services/digg/Makefile
flock/base/services/digg/public/Makefile
flock/base/services/facebook/Makefile
flock/base/services/facebook/public/Makefile
flock/base/services/flickr/Makefile
flock/base/services/flickr/src/Makefile
flock/base/services/gmail/Makefile
flock/base/services/livejournal/Makefile
flock/base/services/livejournal/src/Makefile
flock/base/services/myspace/Makefile
flock/base/services/onet/Makefile
flock/base/services/photobucket/Makefile
flock/base/services/photobucket/src/Makefile
flock/base/services/picasa/Makefile
flock/base/services/revver/Makefile
flock/base/services/searchvideo/Makefile
flock/base/services/searchvideo/src/Makefile
flock/base/services/tinypic/Makefile
flock/base/services/twitter/Makefile
flock/base/services/typepad/Makefile
flock/base/services/wordpress/Makefile
flock/base/services/xanga/Makefile
flock/base/services/yahoomail/Makefile
flock/base/services/youtube/Makefile
flock/base/services/youtube/src/Makefile
flock/base/services/youtube/public/Makefile
flock/base/shelf/Makefile
flock/base/shelf/public/Makefile
flock/base/shelf/src/Makefile
flock/base/start/Makefile
flock/base/toolbar/Makefile
flock/base/toolbar/src/Makefile
flock/base/topbar/Makefile
flock/base/webmail/Makefile
flock/base/xmlrpc/Makefile
flock/base/xmlrpc/public/Makefile
flock/base/xmlrpc/src/Makefile
flock/installer/Makefile
flock/installer/windows/Makefile
flock/locales/Makefile
flock/modules/Makefile
flock/themes/Makefile
"

