/* vim: ts=2 sw=2 expandtab
 * BEGIN FLOCK GPL
 *
 * Copyright Flock Inc. 2005-2009
 * http://flock.com
 *
 * This file may be used under the terms of the
 * GNU General Public License Version 2 or later (the "GPL"),
 * http://www.gnu.org/licenses/gpl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * END FLOCK GPL
 */
 
#ifndef flockAggregator___h___
#define flockAggregator___h___

#include "flockIAggregator.h"
#include "flockIPriorityQueue.h"
#include "nsCOMPtr.h"

class flockAggregator : public flockIAggregator
{
public:
  NS_DECL_ISUPPORTS
  NS_DECL_FLOCKIAGGREGATOR

  flockAggregator();
	
private:
  ~flockAggregator();

protected:
	nsCOMPtr<flockIPriorityQueue> mPriorityQueue;
};

#endif // flockAggregator___h___
