/*
 * BEGIN FLOCK GPL
 *
 * Copyright Flock Inc. 2005-2009
 * http://flock.com
 *
 * This file may be used under the terms of the
 * GNU General Public License Version 2 or later (the "GPL"),
 * http://www.gnu.org/licenses/gpl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * END FLOCK GPL
 */

#ifndef __flockFaviconDataService_h__
#define __flockFaviconDataService_h__

#include "flockIFaviconDataService.h"

#include "nsCOMPtr.h"
#include "nsIFaviconService.h"

class flockFaviconDataService : public flockIFaviconDataService {
public:
  NS_DECL_ISUPPORTS
  NS_DECL_FLOCKIFAVICONDATASERVICE

  flockFaviconDataService();

private:
  virtual ~flockFaviconDataService();

  nsCOMPtr<nsIFaviconService> mFaviconService;
};

#endif
