LangString REG_APP_DESC 0 "${AppRegName} delivers safe, easy web browsing. A familiar user interface, enhanced security features including protection from online identity theft, and integrated search let you get the most out of the web."
LangString OPTIONAL_COMPONENTS_TITLE 0 "Choose Optional Components"
LangString OPTIONAL_COMPONENTS_SUBTITLE 0 "Choose which features of ${AppRegName} you want to install."
LangString OPTIONAL_COMPONENTS_LABEL 0 "Optional Components:"
LangString DOMI_TITLE 0 "DOM Inspector"
LangString DOMI_TEXT 0 "Inspects the structure and properties of a window and its contents."
LangString CONTEXT_OPTIONS 0 "${AppRegName} &Options"
LangString CONTEXT_SAFE_MODE 0 "${AppRegName} &Safe Mode"
LangString SAFE_MODE 0 "Safe Mode"
LangString OPTIONS_PAGE_TITLE 0 "Setup Type"
LangString OPTIONS_PAGE_SUBTITLE 0 "Choose setup options"
LangString SHORTCUTS_PAGE_TITLE 0 "Set Up Shortcuts"
LangString SHORTCUTS_PAGE_SUBTITLE 0 "Create Program Icons"
LangString SUMMARY_PAGE_TITLE 0 "Summary"
LangString SUMMARY_PAGE_SUBTITLE 0 "Ready to start installing ${AppRegName}"
LangString SUMMARY_INSTALLED_TO 0 "${AppRegName} will be installed to the following location:"
LangString SUMMARY_REBOOT_REQUIRED_INSTALL 0 "A restart of your computer may be required to complete the installation."
LangString SUMMARY_REBOOT_REQUIRED_UNINSTALL 0 "A restart of your computer may be required to complete the uninstall."
LangString SUMMARY_CLICK 0 "Click Install to continue."
LangString SURVEY_TEXT 0 "&Tell us what you thought of ${AppRegName}"
LangString LAUNCH_TEXT 0 "&Launch ${AppRegName} now"
LangString WARN_APP_RUNNING_INSTALL 0 "${AppRegName} must be closed to proceed with the installation.$\r$\n$\r$\nClick $\"OK$\" to exit ${AppRegName} automatically and continue."
LangString CREATE_ICONS_DESC 0 "Create icons for ${AppRegName}:"
LangString ICONS_DESKTOP 0 "On my &Desktop"
LangString ICONS_STARTMENU 0 "In my &Start Menu Programs folder"
LangString ICONS_QUICKLAUNCH 0 "In my &Quick Launch bar"
LangString STATS_DESC 0 "Help us improve ${AppRegName}"
LangString STATS_INFO 0 "By sending anonymous usage statistics to ${AppRegName}, you can help us to understand how to make ${AppRegName} better for everyone. No personal information is collected."
LangString STATS_OPTION 0 "Allow gathering of anonymous usage statistics"
LangString DEFBROWSER_DESC 0 "Default Browser"
LangString DEFBROWSER_INFO 0 "Set &${AppRegName} as my default browser" 
LangString WARN_MANUALLY_CLOSE_APP_INSTALL 0 "${AppRegName} must be closed to proceed with the installation.$\r$\n$\r$\nPlease close ${AppRegName} to continue."
LangString WARN_MANUALLY_CLOSE_APP_UNINSTALL 0 "${AppRegName} must be closed to proceed with the uninstall.$\r$\n$\r$\nPlease close ${AppRegName} to continue."
LangString WARN_MANUALLY_CLOSE_APP_LAUNCH 0 "${AppRegName} is already running.$\r$\n$\r$\nPlease close ${AppRegName} prior to launching the version you have just installed."
LangString WARN_WRITE_ACCESS 0 "You don't have access to write to the installation directory.$\r$\n$\r$\nClick OK to select a different directory."
LangString WARN_DISK_SPACE 0 "You don't have sufficient disk space to install to this location.$\r$\n$\r$\nClick OK to select a different location."
LangString WARN_UNSUPPORTED_MSG 0 "Sorry, ${AppRegName} can't be installed. This version of ${AppRegName} requires ${MinUnsupportedVer} or newer."
LangString WARN_RESTART_REQUIRED_UNINSTALL 0 "Your computer must be restarted to complete a previous uninstall of ${AppRegName}. Do you want to reboot now?"
LangString WARN_RESTART_REQUIRED_UPGRADE 0 "Your computer must be restarted to complete a previous upgrade of ${AppRegName}. Do you want to reboot now?"
LangString ERROR_CREATE_DIRECTORY_PREFIX 0 "Error creating directory:"
LangString ERROR_CREATE_DIRECTORY_SUFFIX 0 "Click Cancel to stop the installation or$\r$\nRetry to try again."
LangString UN_CONFIRM_PAGE_TITLE 0 "Uninstall ${AppRegName}"
LangString UN_CONFIRM_PAGE_SUBTITLE 0 "Remove ${AppRegName} from your computer."
LangString UN_CONFIRM_UNINSTALLED_FROM 0 "${AppRegName} will be uninstalled from the following location:"
LangString UN_CONFIRM_CLICK 0 "Click Uninstall to continue."
LangString UN_REMOVE_PROFILES 0 "&Remove my ${AppRegName} personal data and customizations"
LangString UN_REMOVE_PROFILES_DESC 0 "This will permanently remove your bookmarks, saved passwords, cookies and customizations. You may wish to keep this information if you plan on installing another version of ${AppRegName} in the future."
LangString BANNER_CHECK_EXISTING 0 "Checking existing installation"
LangString STATUS_INSTALL_APP 0 "Installing ${AppRegName}"
LangString STATUS_INSTALL_LANG 0 "Installing Language Files (${AB_CD})"
LangString STATUS_INSTALL_OPTIONAL 0 "Installing Optional Components"
LangString STATUS_UNINSTALL_MAIN 0 "Uninstalling ${AppRegName}"
LangString STATUS_CLEANUP 0 "A Little Housekeeping"
LangString OPTIONS_SUMMARY 0 "Choose the type of setup you prefer, then click Next."
LangString OPTION_STANDARD_DESC 0 "${AppRegName} will be installed with the most common options."
LangString OPTION_STANDARD_RADIO 0 "&Standard"
LangString OPTION_COMPLETE_DESC 0 "${AppRegName} will be installed with all available options."
LangString OPTION_COMPLETE_RADIO 0 "C&omplete"
LangString OPTION_CUSTOM_DESC 0 "You may choose individual options to be installed. Recommended for experienced users."
LangString OPTION_CUSTOM_RADIO 0 "&Custom Setup (Advanced)"
LangString OPTION_EXPRESS_RADIO 0 "&Express Setup (Recommended)"
LangString OPTION_${AppRegName}_DESC 0 "Applies common options:"
LangString OPTION_${AppRegName}_DESC2 0 "Recommended for experienced users to set install options individually."
LangString OPTION_${AppRegName}_DESC3 0 "Sets Flock as your default browser\r\nInstalls in standard directory location\r\nAllows sharing of anonymous usage statistics"
LangString Upgrade${AppRegName}Notice 0 "Note: installing ${AppRegName} will remove the previous version of ${AppRegName} and migrate your settings."
LangString CurrentlyRunningUninstall 0 "${AppRegName} is currently running.  Please close it and then click OK to continue uninstalling."
LangString UninstallCancel 0 "You chose not to uninstall."
LangString CurrentlyRunningInstall 0 "${AppRegName} is currently running.  Please close it and then click OK to continue installing."
LangString InstallCancel 0 "You chose not to install."
LangString UACDENIED 0 "Sorry, you do not have sufficent rights to complete this uninstall, aborting..."
LangString Welcome_Header 0 "Choose a setup preference, and then click Next."
LangString HaveRead 0 "I h&ave read and accept the"
LangString Agreement 0 "License Agreement"
LangString RemovingPrevious 0 "Removing previous version please wait..."
LangString WelcomePageHeader 0 "Thanks for downloading ${AppRegName}!"
LangString FinishTitle 0 "${AppRegName} Setup Wizard is Complete"
LangString FinishCaption 0 "${AppRegName} puts you at the center of everything"
LangString FinishItem1 0 "Friends"
LangString FinishItem2 0 "Sites and Services"
LangString FinishItem3 0 "Content and Media"
LangString FinishItem4 0 "Activities and Events"
LangString FinishTagline 0 "Get ready to meet your new favorite browser!"
LangString FinishLaunch 0 "Launch ${AppRegName} now"
LangString FinishButton 0 "Finish"